Updated configure script so that it does not configure llvm/project
[oota-llvm.git] / configure
index fad8e24a8a736e9633424ddc3e8fd425687904d4..6322b518cbe35a2c0f448761ac2f1222850b1d67 100755 (executable)
--- a/configure
+++ b/configure
@@ -426,6 +426,7 @@ PACKAGE_VERSION='[1.0]'
 PACKAGE_STRING='[LLVM] [1.0]'
 PACKAGE_BUGREPORT='llvmbugs@cs.uiuc.edu'
 
+ac_subdirs_all="$ac_subdirs_all projects/${i}"
 # Factoring default headers for most tests.
 ac_includes_default="\
 #include <stdio.h>
@@ -464,7 +465,7 @@ ac_includes_default="\
 #endif"
 
 ac_unique_file=""Makefile.config.in""
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os OS LLVMGCCDIR ARCH CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC CPP ifGNUmake LEX LEXLIB LEX_OUTPUT_ROOT YACC EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL SED RM MKDIR DATE MV DOT ETAGS PURIFY ALLOCA LIBOBJS MMAP_FILE ENABLE_PURIFY ENABLE_OPTIMIZED USE_SPEC UPB DISABLE_LLC_DIFFS JIT SPEC_ROOT BCR PAPIDIR OBJROOT LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS subdirs INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os OS LLVMGCCDIR ARCH CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC CPP ifGNUmake LEX LEXLIB LEX_OUTPUT_ROOT YACC EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL RPWD SED RM MKDIR DATE MV DOT ETAGS PYTHON QMTEST ALLOCA LIBOBJS MMAP_FILE ENABLE_PURIFY ENABLE_OPTIMIZED SPEC_ROOT USE_SPEC UPB DISABLE_LLC_DIFFS JIT BCR PAPIDIR PURIFY LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -1031,11 +1032,11 @@ Optional Features:
   --disable-libtool-lock  avoid locking (might break parallel builds)
   --enable-purify         Compile with purify (default is NO)
   --enable-optimized      Compile with optimizations enabled (default is NO)
-  --enable-spec           Compile SPEC benchmarks (default is NO)
+  --enable-spec           Compile SPEC 2000 benchmarks (default is NO)
   --enable-precompiled_bytecode
                           Use pre-compiled bytecode (default is NO)
   --enable-llc_diffs      Enable LLC Diffs when testing (default is YES)
-  --enable-jit            Enable Just In Time Compiling (default is NO)
+  --enable-jit            Enable Just In Time Compiling (default is YES)
 
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
@@ -1045,12 +1046,9 @@ Optional Packages:
                           both]
   --with-tags[=TAGS]
                           include additional configurations [automatic]
-  --with-spec             Location of SPEC benchmarks
   --with-llvmgccdir       Location of LLVM GCC front-end
   --with-bcrepos          Location of Bytecode Repository
   --with-papi             Location of PAPI
-  --with-objroot          Location where object files should be placed
-                          (default is .)
   --with-purify           Location of purify program
 
 Some influential environment variables:
@@ -1511,8 +1509,173 @@ ac_config_sub="$SHELL $ac_aux_dir/config.sub"
 ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
 
 
+if test ${srcdir} != "."
+then
+       if test -f ${srcdir}/include/Config/config.h
+       then
+               { { echo "$as_me:$LINENO: error: Already configured in ${srcdir}" >&5
+echo "$as_me: error: Already configured in ${srcdir}" >&2;}
+   { (exit 1); exit 1; }; }
+       fi
+fi
+
+for i in `ls ${srcdir}/projects`
+do
+  if test ${i} != "CVS"
+  then
+    if test -f ${srcdir}/projects/${i}/configure
+    then
+
+
+subdirs="$subdirs projects/${i}"
+
+    fi
+  fi
+done
+
           ac_config_headers="$ac_config_headers include/Config/config.h"
 
+          ac_config_commands="$ac_config_commands Makefile"
+
+
+          ac_config_commands="$ac_config_commands Makefile.common"
+
+
+          ac_config_commands="$ac_config_commands lib/Makefile"
+
+
+          ac_config_commands="$ac_config_commands runtime/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Makefile.tests"
+
+
+          ac_config_commands="$ac_config_commands test/QMTest/llvm.py"
+
+
+          ac_config_commands="$ac_config_commands test/QMTest/llvmdb.py"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/Makefile.programs"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/TEST.aa.Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/TEST.dsgraph.report"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/TEST.micro.report"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/TEST.aa.report"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/TEST.example.Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/TEST.nightly.Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/TEST.buildrepo.Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/TEST.jit.Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/TEST.nightly.report"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/TEST.dsgraph.Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/TEST.jit.report"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/TEST.typesafe.Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/TEST.dsgraph.gnuplot"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/TEST.micro.Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/External/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/External/SPEC/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/External/SPEC/Makefile.spec"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Makefile.multisrc"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Benchmarks/FreeBench/analyzer/test.in"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Benchmarks/FreeBench/distray/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Benchmarks/FreeBench/distray/test.in"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Benchmarks/FreeBench/fourinarow/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Benchmarks/FreeBench/fourinarow/test.in"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Benchmarks/FreeBench/mason/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Benchmarks/FreeBench/mason/test.in"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Benchmarks/FreeBench/neural/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Benchmarks/FreeBench/neural/test.in"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Benchmarks/FreeBench/pcompress2/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Benchmarks/FreeBench/pcompress2/test.in"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Benchmarks/FreeBench/pifft/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/MultiSource/Benchmarks/FreeBench/pifft/test.in"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/SingleSource/Makefile"
+
+
+          ac_config_commands="$ac_config_commands test/Programs/SingleSource/Makefile.singlesrc"
+
+
+          ac_config_commands="$ac_config_commands tools/Makefile"
+
+
+          ac_config_commands="$ac_config_commands utils/Makefile"
+
+
+          ac_config_commands="$ac_config_commands projects/Makefile"
+
+
 
 
 # Find a good install program.  We prefer a C program (faster),
@@ -1677,15 +1840,28 @@ test -n "$target_alias" &&
   program_prefix=${target_alias}-
 
 case $build in
-       *i*86*)  OS=Linux
+       *-*-linux*)
+             OS=Linux
 
-                LLVMGCCDIR=/home/vadve/lattner/local/x86/llvm-gcc/
+                        if test -d /home/vadve/lattner/local/x86/llvm-gcc
+                        then
+                          LLVMGCCDIR=/home/vadve/lattner/local/x86/llvm-gcc/
 
+                        fi
                 ;;
 
-       *sparc*) OS=SunOS
+       *-*-solaris*)
+             OS=SunOS
+
+                        if test -d /home/vadve/lattner/local/sparc/llvm-gcc
+                        then
+                  LLVMGCCDIR=/home/vadve/lattner/local/sparc/llvm-gcc/
+
+                        fi
+                ;;
 
-                LLVMGCCDIR=/home/vadve/lattner/local/sparc/llvm-gcc/
+       *-*-darwin*)
+             OS=Darwin
 
                 ;;
 
@@ -1695,16 +1871,22 @@ case $build in
 esac
 
 case $target in
-       *sparc*solaris*)  target=sparcv9-sun-solaris2.8
+       sparc*-*-solaris*)  target=sparcv9-sun-solaris2.8
 
-                         ;;
+                           ;;
 esac
 
 case $target in
-       *i*86*)           ARCH=x86
+       i*86-*)           ARCH=x86
+
+                         ;;
+       sparc*-*)         ARCH=Sparc
+
+                         ;;
+       powerpc*-*)       ARCH=PowerPC
 
                          ;;
-       *sparc*solaris*)  ARCH=Sparc
+       *)                ARCH=Unknown
 
                          ;;
 esac
@@ -2930,6 +3112,14 @@ echo "$as_me: error: g++ required but not found" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
+gccmajor=`$CC --version | head -n 1 | awk '{print $NF;}' | cut -d. -f1`
+if test "$gccmajor" -lt "3"
+then
+       { { echo "$as_me:$LINENO: error: gcc 3.x required" >&5
+echo "$as_me: error: gcc 3.x required" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
  echo "$as_me:$LINENO: checking for GNU make" >&5
 echo $ECHO_N "checking for GNU make... $ECHO_C" >&6
 if test "${_cv_gnu_make_command+set}" = set; then
@@ -3852,7 +4042,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3855 "configure"' > conftest.$ac_ext
+  echo '#line 4045 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -4693,7 +4883,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:4696:" \
+echo "$as_me:4886:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -5702,11 +5892,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:5705: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:5895: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:5709: \$? = $ac_status" >&5
+   echo "$as_me:5899: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -5934,11 +6124,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:5937: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6127: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:5941: \$? = $ac_status" >&5
+   echo "$as_me:6131: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6001,11 +6191,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6004: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6194: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6008: \$? = $ac_status" >&5
+   echo "$as_me:6198: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8013,7 +8203,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8016 "configure"
+#line 8206 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8111,7 +8301,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8114 "configure"
+#line 8304 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10247,11 +10437,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10250: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10440: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10254: \$? = $ac_status" >&5
+   echo "$as_me:10444: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -10314,11 +10504,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10317: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10507: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10321: \$? = $ac_status" >&5
+   echo "$as_me:10511: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -11557,7 +11747,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11560 "configure"
+#line 11750 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11655,7 +11845,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11658 "configure"
+#line 11848 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12477,11 +12667,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12480: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12670: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12484: \$? = $ac_status" >&5
+   echo "$as_me:12674: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -12544,11 +12734,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12547: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12737: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12551: \$? = $ac_status" >&5
+   echo "$as_me:12741: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14488,11 +14678,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14491: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14681: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14495: \$? = $ac_status" >&5
+   echo "$as_me:14685: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -14720,11 +14910,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14723: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14913: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14727: \$? = $ac_status" >&5
+   echo "$as_me:14917: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -14787,11 +14977,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14790: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14980: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14794: \$? = $ac_status" >&5
+   echo "$as_me:14984: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16799,7 +16989,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 16802 "configure"
+#line 16992 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -16897,7 +17087,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 16900 "configure"
+#line 17090 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -17903,6 +18093,53 @@ LIBTOOL='$(SHELL) $(top_builddir)/mklib'
 
 
 
+
+# Extract the first word of "pwd", so it can be a program name with args.
+set dummy pwd; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_RPWD+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $RPWD in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_RPWD="$RPWD" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_RPWD="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  test -z "$ac_cv_path_RPWD" && ac_cv_path_RPWD="false"
+  ;;
+esac
+fi
+RPWD=$ac_cv_path_RPWD
+
+if test -n "$RPWD"; then
+  echo "$as_me:$LINENO: result: $RPWD" >&5
+echo "${ECHO_T}$RPWD" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+if test ${RPWD} = "false"
+then
+       { { echo "$as_me:$LINENO: error: pwd required but not found" >&5
+echo "$as_me: error: pwd required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
 
 # Extract the first word of "ar", so it can be a program name with args.
 set dummy ar; ac_word=$2
@@ -17930,6 +18167,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_AR" && ac_cv_path_AR="false"
   ;;
 esac
 fi
@@ -17943,6 +18181,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${AR} = "false"
+then
+       { { echo "$as_me:$LINENO: error: ar required but not found" >&5
+echo "$as_me: error: ar required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "sed", so it can be a program name with args.
 set dummy sed; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -17969,6 +18214,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_SED" && ac_cv_path_SED="false"
   ;;
 esac
 fi
@@ -17982,6 +18228,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${SED} = "false"
+then
+       { { echo "$as_me:$LINENO: error: sed required but not found" >&5
+echo "$as_me: error: sed required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "rm", so it can be a program name with args.
 set dummy rm; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18008,6 +18261,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_RM" && ac_cv_path_RM="false"
   ;;
 esac
 fi
@@ -18021,6 +18275,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${RM} = "false"
+then
+       { { echo "$as_me:$LINENO: error: rm required but not found" >&5
+echo "$as_me: error: rm required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "echo", so it can be a program name with args.
 set dummy echo; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18047,6 +18308,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_ECHO" && ac_cv_path_ECHO="false"
   ;;
 esac
 fi
@@ -18060,6 +18322,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${ECHO} = "false"
+then
+       { { echo "$as_me:$LINENO: error: echo required but not found" >&5
+echo "$as_me: error: echo required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "mkdir", so it can be a program name with args.
 set dummy mkdir; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18086,6 +18355,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_MKDIR" && ac_cv_path_MKDIR="false"
   ;;
 esac
 fi
@@ -18099,6 +18369,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${MKDIR} = "false"
+then
+       { { echo "$as_me:$LINENO: error: mkdir required but not found" >&5
+echo "$as_me: error: mkdir required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "date", so it can be a program name with args.
 set dummy date; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18125,6 +18402,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_DATE" && ac_cv_path_DATE="false"
   ;;
 esac
 fi
@@ -18138,6 +18416,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${DATE} = "false"
+then
+       { { echo "$as_me:$LINENO: error: date required but not found" >&5
+echo "$as_me: error: date required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "mv", so it can be a program name with args.
 set dummy mv; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18164,6 +18449,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_MV" && ac_cv_path_MV="false"
   ;;
 esac
 fi
@@ -18177,6 +18463,13 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${MV} = "false"
+then
+       { { echo "$as_me:$LINENO: error: mv required but not found" >&5
+echo "$as_me: error: mv required but not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # Extract the first word of "dot", so it can be a program name with args.
 set dummy dot; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18203,6 +18496,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_DOT" && ac_cv_path_DOT="false"
   ;;
 esac
 fi
@@ -18216,6 +18510,7 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
+
 # Extract the first word of "etags", so it can be a program name with args.
 set dummy etags; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18242,6 +18537,7 @@ do
 done
 done
 
+  test -z "$ac_cv_path_ETAGS" && ac_cv_path_ETAGS="false"
   ;;
 esac
 fi
@@ -18255,16 +18551,63 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
-# Extract the first word of "purify", so it can be a program name with args.
-set dummy purify; ac_word=$2
+
+# Extract the first word of "python", so it can be a program name with args.
+set dummy python; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_PYTHON+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $PYTHON in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_PYTHON="$PYTHON" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_PYTHON="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  test -z "$ac_cv_path_PYTHON" && ac_cv_path_PYTHON="false"
+  ;;
+esac
+fi
+PYTHON=$ac_cv_path_PYTHON
+
+if test -n "$PYTHON"; then
+  echo "$as_me:$LINENO: result: $PYTHON" >&5
+echo "${ECHO_T}$PYTHON" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+if test ${PYTHON} = "false"
+then
+       { echo "$as_me:$LINENO: WARNING: python required but not found" >&5
+echo "$as_me: WARNING: python required but not found" >&2;}
+fi
+
+# Extract the first word of "qmtest", so it can be a program name with args.
+set dummy qmtest; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-if test "${ac_cv_path_PURIFY+set}" = set; then
+if test "${ac_cv_path_QMTEST+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  case $PURIFY in
+  case $QMTEST in
   [\\/]* | ?:[\\/]*)
-  ac_cv_path_PURIFY="$PURIFY" # Let the user override the test with a path.
+  ac_cv_path_QMTEST="$QMTEST" # Let the user override the test with a path.
   ;;
   *)
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_PURIFY="$as_dir/$ac_word$ac_exec_ext"
+    ac_cv_path_QMTEST="$as_dir/$ac_word$ac_exec_ext"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
 
+  test -z "$ac_cv_path_QMTEST" && ac_cv_path_QMTEST="false"
   ;;
 esac
 fi
-PURIFY=$ac_cv_path_PURIFY
+QMTEST=$ac_cv_path_QMTEST
 
-if test -n "$PURIFY"; then
-  echo "$as_me:$LINENO: result: $PURIFY" >&5
-echo "${ECHO_T}$PURIFY" >&6
+if test -n "$QMTEST"; then
+  echo "$as_me:$LINENO: result: $QMTEST" >&5
+echo "${ECHO_T}$QMTEST" >&6
 else
   echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
+if test ${QMTEST} = "false"
+then
+       { echo "$as_me:$LINENO: WARNING: qmtest required but not found" >&5
+echo "$as_me: WARNING: qmtest required but not found" >&2;}
+fi
+
+pyversion=`$PYTHON -V 2>&1 | cut -d\  -f2`
+pymajor=`echo $pyversion | cut -d. -f1`
+pyminor=`echo $pyversion | cut -d. -f2`
+
+if test "$pymajor" -ge "2"
+then
+       if test "$pymajor" -eq "2"
+       then
+               if test "$pyminor" -lt "2"
+               then
+                       { echo "$as_me:$LINENO: WARNING: Python 2.2 or greater required for qmtest" >&5
+echo "$as_me: WARNING: Python 2.2 or greater required for qmtest" >&2;}
+               fi
+       fi
+else
+       { echo "$as_me:$LINENO: WARNING: Python 2.2 or greater required for qmtest" >&5
+echo "$as_me: WARNING: Python 2.2 or greater required for qmtest" >&2;}
+fi
 
 
 
@@ -18467,10 +18835,13 @@ echo "${ECHO_T}$ac_cv_search_dlopen" >&6
 if test "$ac_cv_search_dlopen" != no; then
   test "$ac_cv_search_dlopen" = "none required" || LIBS="$ac_cv_search_dlopen $LIBS"
 
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_DLOPEN 1
+_ACEOF
+
 else
-  { { echo "$as_me:$LINENO: error: dlopen() required but not found" >&5
-echo "$as_me: error: dlopen() required but not found" >&2;}
-   { (exit 1); exit 1; }; }
+  { echo "$as_me:$LINENO: WARNING: dlopen() not found - disabling plugin support" >&5
+echo "$as_me: WARNING: dlopen() not found - disabling plugin support" >&2;}
 fi
 
 
@@ -18577,46 +18948,158 @@ echo "$as_me:$LINENO: result: $ac_cv_search_mallinfo" >&5
 echo "${ECHO_T}$ac_cv_search_mallinfo" >&6
 if test "$ac_cv_search_mallinfo" != no; then
   test "$ac_cv_search_mallinfo" = "none required" || LIBS="$ac_cv_search_mallinfo $LIBS"
-  cat >>confdefs.h <<\_ACEOF
+
+cat >>confdefs.h <<\_ACEOF
 #define HAVE_MALLINFO 1
 _ACEOF
 
 fi
 
 
-
-echo "$as_me:$LINENO: checking for ANSI C header files" >&5
-echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
-if test "${ac_cv_header_stdc+set}" = set; then
+echo "$as_me:$LINENO: checking for library containing pthread_mutex_lock" >&5
+echo $ECHO_N "checking for library containing pthread_mutex_lock... $ECHO_C" >&6
+if test "${ac_cv_search_pthread_mutex_lock+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  cat >conftest.$ac_ext <<_ACEOF
+  ac_func_search_save_LIBS=$LIBS
+ac_cv_search_pthread_mutex_lock=no
+cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <stdlib.h>
-#include <stdarg.h>
-#include <string.h>
-#include <float.h>
 
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char pthread_mutex_lock ();
 int
 main ()
 {
-
+pthread_mutex_lock ();
   ;
   return 0;
 }
 _ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>&5
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-         { ac_try='test -s conftest.$ac_objext'
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_search_pthread_mutex_lock="none required"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+if test "$ac_cv_search_pthread_mutex_lock" = no; then
+  for ac_lib in pthread; do
+    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
+    cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char pthread_mutex_lock ();
+int
+main ()
+{
+pthread_mutex_lock ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_search_pthread_mutex_lock="-l$ac_lib"
+break
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+  done
+fi
+LIBS=$ac_func_search_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_search_pthread_mutex_lock" >&5
+echo "${ECHO_T}$ac_cv_search_pthread_mutex_lock" >&6
+if test "$ac_cv_search_pthread_mutex_lock" != no; then
+  test "$ac_cv_search_pthread_mutex_lock" = "none required" || LIBS="$ac_cv_search_pthread_mutex_lock $LIBS"
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_PTHREAD_MUTEX_LOCK 1
+_ACEOF
+
+fi
+
+
+
+echo "$as_me:$LINENO: checking for ANSI C header files" >&5
+echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
+if test "${ac_cv_header_stdc+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <stdlib.h>
+#include <stdarg.h>
+#include <string.h>
+#include <float.h>
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -18961,8 +19444,7 @@ done
 
 
 
-
-for ac_header in malloc.h strings.h sys/mman.h sys/resource.h
+for ac_header in malloc.h sys/mman.h sys/resource.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
@@ -19595,13 +20077,15 @@ echo "$as_me:$LINENO: result: $ac_cv_c_bigendian" >&5
 echo "${ECHO_T}$ac_cv_c_bigendian" >&6
 case $ac_cv_c_bigendian in
   yes)
-    cat >>confdefs.h <<\_ACEOF
-#define ENDIAN_BIG 1
+
+cat >>confdefs.h <<\_ACEOF
+#define ENDIAN_BIG
 _ACEOF
  ;;
   no)
-    cat >>confdefs.h <<\_ACEOF
-#define ENDIAN_LITTLE 1
+
+cat >>confdefs.h <<\_ACEOF
+#define ENDIAN_LITTLE
 _ACEOF
  ;;
   *)
@@ -19958,6 +20442,87 @@ _ACEOF
 fi
 
 
+
+
+
+       ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+       if test "$cross_compiling" = yes; then
+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&5
+echo "$as_me: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }
+else
+  cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <stdio.h>
+                                #include <stdlib.h>
+int
+main ()
+{
+
+                                volatile double A, B;
+                                char Buffer[100];
+                                A = 1;
+                                A /= 10.0;
+                                sprintf(Buffer, "%a", A);
+                                B = atof(Buffer);
+                                if (A != B)
+                                                        return (1);
+                                if (A != 0x1.999999999999ap-4)
+                                                        return (1);
+                                return (0);
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_c_printf_a=yes
+else
+  echo "$as_me: program exited with status $ac_status" >&5
+echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+( exit $ac_status )
+ac_c_printf_a=no
+fi
+rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+fi
+       ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+       if test "$ac_c_printf_a" = "yes"; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_PRINTF_A 1
+_ACEOF
+
+       fi
+
+
 echo "$as_me:$LINENO: checking whether the compiler implements namespaces" >&5
 echo $ECHO_N "checking whether the compiler implements namespaces... $ECHO_C" >&6
 if test "${ac_cv_cxx_namespaces+set}" = set; then
@@ -20025,9 +20590,9 @@ _ACEOF
 
 fi
 
-echo "$as_me:$LINENO: checking whether the compiler has ext/hash_map" >&5
-echo $ECHO_N "checking whether the compiler has ext/hash_map... $ECHO_C" >&6
-if test "${ac_cv_cxx_have_ext_hash_map+set}" = set; then
+echo "$as_me:$LINENO: checking whether the compiler has <ext/hash_map> defining template class std::hash_map" >&5
+echo $ECHO_N "checking whether the compiler has <ext/hash_map> defining template class std::hash_map... $ECHO_C" >&6
+if test "${ac_cv_cxx_have_std_ext_hash_map+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
@@ -20053,7 +20618,7 @@ using namespace std;
 int
 main ()
 {
-hash_map<int, int> t; return 0;
+hash_map<int, int> t;
   ;
   return 0;
 }
@@ -20070,14 +20635,44 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_cxx_have_ext_hash_map=std
+  ac_cv_cxx_have_std_ext_hash_map=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_cxx_have_ext_hash_map=no
+ac_cv_cxx_have_std_ext_hash_map=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
+  ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+fi
+echo "$as_me:$LINENO: result: $ac_cv_cxx_have_std_ext_hash_map" >&5
+echo "${ECHO_T}$ac_cv_cxx_have_std_ext_hash_map" >&6
+ if test "$ac_cv_cxx_have_std_ext_hash_map" = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_STD_EXT_HASH_MAP
+_ACEOF
+
+ fi
+ echo "$as_me:$LINENO: checking whether the compiler has <ext/hash_map> defining template class __gnu_cxx::hash_map" >&5
+echo $ECHO_N "checking whether the compiler has <ext/hash_map> defining template class __gnu_cxx::hash_map... $ECHO_C" >&6
+if test "${ac_cv_cxx_have_gnu_ext_hash_map+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+
+
+  ac_ext=cc
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
   cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 /* confdefs.h.  */
@@ -20092,7 +20687,7 @@ using namespace __gnu_cxx;
 int
 main ()
 {
-hash_map<int, int> t; return 0;
+hash_map<int,int> t;
   ;
   return 0;
 }
@@ -20109,12 +20704,12 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_cxx_have_ext_hash_map=gnu
+  ac_cv_cxx_have_gnu_ext_hash_map=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_cxx_have_ext_hash_map=no
+ac_cv_cxx_have_gnu_ext_hash_map=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
   ac_ext=c
@@ -20123,28 +20718,154 @@ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
-
 fi
-echo "$as_me:$LINENO: result: $ac_cv_cxx_have_ext_hash_map" >&5
-echo "${ECHO_T}$ac_cv_cxx_have_ext_hash_map" >&6
-if test "$ac_cv_cxx_have_ext_hash_map" = std; then
+echo "$as_me:$LINENO: result: $ac_cv_cxx_have_gnu_ext_hash_map" >&5
+echo "${ECHO_T}$ac_cv_cxx_have_gnu_ext_hash_map" >&6
+ if test "$ac_cv_cxx_have_gnu_ext_hash_map" = yes; then
 
 cat >>confdefs.h <<\_ACEOF
-#define HAVE_STD_EXT_HASH_MAP
+#define HAVE_GNU_EXT_HASH_MAP
 _ACEOF
 
+ fi
+ echo "$as_me:$LINENO: checking whether the compiler has <hash_map> defining template class ::hash_map" >&5
+echo $ECHO_N "checking whether the compiler has <hash_map> defining template class ::hash_map... $ECHO_C" >&6
+if test "${ac_cv_cxx_have_global_hash_map+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+
+
+  ac_ext=cc
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+  cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <hash_map>
+int
+main ()
+{
+hash_map<int,int> t;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_cxx_have_global_hash_map=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_cxx_have_global_hash_map=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+  ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
 fi
-if test "$ac_cv_cxx_have_ext_hash_map" = gnu; then
+echo "$as_me:$LINENO: result: $ac_cv_cxx_have_global_hash_map" >&5
+echo "${ECHO_T}$ac_cv_cxx_have_global_hash_map" >&6
+ if test "$ac_cv_cxx_have_global_hash_map" = yes; then
 
 cat >>confdefs.h <<\_ACEOF
-#define HAVE_GNU_EXT_HASH_MAP
+#define HAVE_GLOBAL_HASH_MAP
 _ACEOF
 
+ fi
+echo "$as_me:$LINENO: checking whether the compiler has <ext/hash_set> defining template class std::hash_set" >&5
+echo $ECHO_N "checking whether the compiler has <ext/hash_set> defining template class std::hash_set... $ECHO_C" >&6
+if test "${ac_cv_cxx_have_std_ext_hash_set+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+
+
+  ac_ext=cc
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+  cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <ext/hash_set>
+#ifdef HAVE_NAMESPACES
+using namespace std;
+#endif
+int
+main ()
+{
+hash_set<int> t;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_cxx_have_std_ext_hash_set=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_cxx_have_std_ext_hash_set=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+  ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
 fi
+echo "$as_me:$LINENO: result: $ac_cv_cxx_have_std_ext_hash_set" >&5
+echo "${ECHO_T}$ac_cv_cxx_have_std_ext_hash_set" >&6
+ if test "$ac_cv_cxx_have_std_ext_hash_set" = yes; then
 
-echo "$as_me:$LINENO: checking whether the compiler has ext/hash_set" >&5
-echo $ECHO_N "checking whether the compiler has ext/hash_set... $ECHO_C" >&6
-if test "${ac_cv_cxx_have_ext_hash_set+set}" = set; then
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_STD_EXT_HASH_SET
+_ACEOF
+
+ fi
+ echo "$as_me:$LINENO: checking whether the compiler has <ext/hash_set> defining template class __gnu_cxx::hash_set" >&5
+echo $ECHO_N "checking whether the compiler has <ext/hash_set> defining template class __gnu_cxx::hash_set... $ECHO_C" >&6
+if test "${ac_cv_cxx_have_gnu_ext_hash_set+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
@@ -20165,12 +20886,12 @@ cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <ext/hash_set>
 #ifdef HAVE_NAMESPACES
-using namespace std;
+using namespace __gnu_cxx;
 #endif
 int
 main ()
 {
-hash_set<int> t; return 0;
+hash_set<int> t;
   ;
   return 0;
 }
@@ -20187,14 +20908,44 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_cxx_have_ext_hash_set=std
+  ac_cv_cxx_have_gnu_ext_hash_set=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_cxx_have_ext_hash_set=no
+ac_cv_cxx_have_gnu_ext_hash_set=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
+  ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+fi
+echo "$as_me:$LINENO: result: $ac_cv_cxx_have_gnu_ext_hash_set" >&5
+echo "${ECHO_T}$ac_cv_cxx_have_gnu_ext_hash_set" >&6
+ if test "$ac_cv_cxx_have_gnu_ext_hash_set" = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_GNU_EXT_HASH_SET
+_ACEOF
+
+ fi
+ echo "$as_me:$LINENO: checking whether the compiler has <hash_set> defining template class ::hash_set" >&5
+echo $ECHO_N "checking whether the compiler has <hash_set> defining template class ::hash_set... $ECHO_C" >&6
+if test "${ac_cv_cxx_have_global_hash_set+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+
+
+  ac_ext=cc
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
   cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 /* confdefs.h.  */
@@ -20202,10 +20953,7 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <ext/hash_set>
-#ifdef HAVE_NAMESPACES
-using namespace __gnu_cxx;
-#endif
+#include <hash_set>
 int
 main ()
 {
@@ -20226,12 +20974,12 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_cxx_have_ext_hash_set=gnu
+  ac_cv_cxx_have_global_hash_set=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_cxx_have_ext_hash_set=no
+ac_cv_cxx_have_global_hash_set=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
   ac_ext=c
@@ -20240,25 +20988,16 @@ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
-
-fi
-echo "$as_me:$LINENO: result: $ac_cv_cxx_have_ext_hash_set" >&5
-echo "${ECHO_T}$ac_cv_cxx_have_ext_hash_set" >&6
-if test "$ac_cv_cxx_have_ext_hash_set" = std; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_STD_EXT_HASH_SET
-_ACEOF
-
 fi
-if test "$ac_cv_cxx_have_ext_hash_set" = gnu; then
+echo "$as_me:$LINENO: result: $ac_cv_cxx_have_global_hash_set" >&5
+echo "${ECHO_T}$ac_cv_cxx_have_global_hash_set" >&6
+ if test "$ac_cv_cxx_have_global_hash_set" = yes; then
 
 cat >>confdefs.h <<\_ACEOF
-#define HAVE_GNU_EXT_HASH_SET
+#define HAVE_GLOBAL_HASH_SET
 _ACEOF
 
-fi
-
+ fi
 echo "$as_me:$LINENO: checking whether the compiler has ext/slist" >&5
 echo $ECHO_N "checking whether the compiler has ext/slist... $ECHO_C" >&6
 if test "${ac_cv_cxx_have_ext_slist+set}" = set; then
@@ -20476,7 +21215,7 @@ using namespace std;
 int
 main ()
 {
-bidirectional_iterator<int,int,int> t; return 0;
+bidirectional_iterator<int,int> t; return 0;
   ;
   return 0;
 }
@@ -20547,7 +21286,7 @@ using namespace std;
 int
 main ()
 {
-forward_iterator<int,int,int> t; return 0;
+forward_iterator<int,int> t; return 0;
   ;
   return 0;
 }
@@ -21472,21 +22211,21 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-#ifdef HAVE_SYS_MMAN_H
-#include <sys/mman.h>
-#endif
-
 #ifdef HAVE_SYS_TYPES_H
 #include <sys/types.h>
 #endif
 
+#ifdef HAVE_SYS_MMAN_H
+#include <sys/mman.h>
+#endif
+
 #ifdef HAVE_FCNTL_H
 #include <fcntl.h>
 #endif
 
   int fd;
   int main () {
-  fd = creat ("foo",0777); fd = (int) mmap (0, 1, PROT_READ, MAP_SHARED, fd, 0); unlink ("foo"); return (fd != MAP_FAILED);}
+  fd = creat ("foo",0777); fd = (int) mmap (0, 1, PROT_READ, MAP_SHARED, fd, 0); unlink ("foo"); return (fd != (int) MAP_FAILED);}
 _ACEOF
 rm -f conftest$ac_exeext
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
@@ -21521,8 +22260,9 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_func_mmap_file" >&5
 echo "${ECHO_T}$ac_cv_func_mmap_file" >&6
 if test "$ac_cv_func_mmap_file" = yes; then
-   cat >>confdefs.h <<\_ACEOF
-#define HAVE_MMAP_FILE 1
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_MMAP_FILE
 _ACEOF
 
    MMAP_FILE=yes
@@ -21597,8 +22337,9 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_header_mmap_anon" >&5
 echo "${ECHO_T}$ac_cv_header_mmap_anon" >&6
 if test "$ac_cv_header_mmap_anon" = yes; then
-   cat >>confdefs.h <<\_ACEOF
-#define HAVE_MMAP_ANONYMOUS 1
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_MMAP_ANONYMOUS
 _ACEOF
 
 fi
@@ -21672,7 +22413,9 @@ _ACEOF
 
 
 
-for ac_func in getcwd gettimeofday strcspn strdup strerror strspn strstr strtod strtol
+
+
+for ac_func in getcwd gettimeofday strcspn strdup strerror strspn strstr strtod strtol strtoq strtoll
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 echo "$as_me:$LINENO: checking for $ac_func" >&5
 
 
 
+
+
+  ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+  oldcflags="$CFLAGS"
+  CFLAGS="$CFLAGS -Wl,-R."
+  cat >conftest.$ac_ext <<_ACEOF
+int main() { return 0; }
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_link_use_r=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_link_use_r=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+  CFLAGS="$oldcflags"
+  ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+  if test "$ac_cv_link_use_r" = yes
+  then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_LINK_R 1
+_ACEOF
+
+  fi
+
+
+
 # Check whether --enable-purify or --disable-purify was given.
 if test "${enable_purify+set}" = set; then
   enableval="$enable_purify"
@@ -21951,18 +22745,35 @@ else
 
 fi
 
-# Check whether --enable-spec or --disable-spec was given.
-if test "${enable_spec+set}" = set; then
-  enableval="$enable_spec"
+# Check whether --enable-spec2000 or --disable-spec2000 was given.
+if test "${enable_spec2000+set}" = set; then
+  enableval="$enable_spec2000"
 
 else
   enableval=no
 fi;
 if test ${enableval} = "no"
 then
-       USE_SPEC=
+       if test -d /home/vadve/shared/benchmarks/speccpu2000/benchspec
+       then
+               SPEC_ROOT=/home/vadve/shared/benchmarks/speccpu2000/benchspec
+
+               USE_SPEC=USE_SPEC=1
 
+       else
+               USE_SPEC=
+
+
+       fi
 else
+       if test ${enableval} = ""
+       then
+               SPEC_ROOT=/home/vadve/shared/benchmarks/speccpu2000/benchspec
+
+       else
+               SPEC_ROOT=${enableval}
+
+       fi
        USE_SPEC=USE_SPEC=1
 
 fi
@@ -22005,7 +22816,7 @@ if test "${enable_jit+set}" = set; then
   enableval="$enable_jit"
 
 else
-  enableval=no
+  enableval=default
 fi;
 
 if test ${enableval} = "no"
@@ -22013,20 +22824,23 @@ then
        JIT=
 
 else
-       JIT=TARGET_HAS_JIT=1
+       case $target in
+               *i*86*)
+                       JIT=TARGET_HAS_JIT=1
 
-fi
+                       ;;
+               *sparc*)
+                       JIT=TARGET_HAS_JIT=1
 
+                       ;;
+               *)
+                       JIT=
 
-# Check whether --with-spec or --without-spec was given.
-if test "${with_spec+set}" = set; then
-  withval="$with_spec"
-  SPEC_ROOT=$withval
+                       ;;
+       esac
+fi
 
-else
-  SPEC_ROOT=/home/vadve/shared/benchmarks/speccpu2000/benchspec
 
-fi;
 
 # Check whether --with-llvmgccdir or --without-llvmgccdir was given.
 if test "${with_llvmgccdir+set}" = set; then
@@ -22035,6 +22849,45 @@ if test "${with_llvmgccdir+set}" = set; then
 
 fi;
 
+echo "$as_me:$LINENO: checking for llvm-gcc" >&5
+echo $ECHO_N "checking for llvm-gcc... $ECHO_C" >&6
+LLVM_GCC_CHECK=no
+if test -d "$LLVMGCCDIR"
+then
+       if test -x "$LLVMGCCDIR/bin/gcc"
+       then
+               LLVM_GCC_CHECK="$LLVMGCCDIR/bin/gcc"
+       fi
+fi
+llvmgccwarn=no
+echo "$as_me:$LINENO: result: $LLVM_GCC_CHECK" >&5
+echo "${ECHO_T}$LLVM_GCC_CHECK" >&6
+if test "$LLVM_GCC_CHECK" = "no"
+then
+    llvmgccwarn=yes
+fi
+
+echo "$as_me:$LINENO: checking whether llvm-gcc is sane" >&5
+echo $ECHO_N "checking whether llvm-gcc is sane... $ECHO_C" >&6
+LLVM_GCC_SANE=no
+if test -x "$LLVM_GCC_CHECK"
+then
+       cp /dev/null conftest.c
+    "$LLVM_GCC_CHECK" -S -o - conftest.c | grep implementation > /dev/null 2>&1
+       if test $? -eq 0
+       then
+               LLVM_GCC_SANE=yes
+       fi
+       rm conftest.c
+fi
+echo "$as_me:$LINENO: result: $LLVM_GCC_SANE" >&5
+echo "${ECHO_T}$LLVM_GCC_SANE" >&6
+if test "$LLVM_GCC_SANE" = "no"
+then
+       llvmgccwarn=yes
+fi
+
+
 # Check whether --with-bcrepos or --without-bcrepos was given.
 if test "${with_bcrepos+set}" = set; then
   withval="$with_bcrepos"
@@ -22045,25 +22898,17 @@ else
 
 fi;
 
+
 # Check whether --with-papi or --without-papi was given.
 if test "${with_papi+set}" = set; then
   withval="$with_papi"
   PAPIDIR=$withval
 
 else
-  PAPIDIR=/home/vadve/shared/papi-2.3.4.1
+  PAPIDIR=/home/vadve/shared/Sparc/papi-2.3.4.1
 
 fi;
 
-# Check whether --with-objroot or --without-objroot was given.
-if test "${with_objroot+set}" = set; then
-  withval="$with_objroot"
-  OBJROOT=$withval
-
-else
-  OBJROOT=.
-
-fi;
 
 # Check whether --with-purify or --without-purify was given.
 if test "${with_purify+set}" = set; then
@@ -22072,6 +22917,7 @@ if test "${with_purify+set}" = set; then
 
 fi;
 
+
           ac_config_files="$ac_config_files Makefile.config"
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -22488,6 +23334,9 @@ $config_files
 Configuration headers:
 $config_headers
 
+Configuration commands:
+$config_commands
+
 Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 
 
 _ACEOF
 
+cat >>$CONFIG_STATUS <<_ACEOF
+#
+# INIT-COMMANDS section.
+#
+
+${srcdir}/autoconf/mkinstalldirs `dirname Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname Makefile.common`
+${srcdir}/autoconf/mkinstalldirs `dirname lib/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname runtime/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Makefile.tests`
+${srcdir}/autoconf/mkinstalldirs `dirname test/QMTest/llvm.py`
+${srcdir}/autoconf/mkinstalldirs `dirname test/QMTest/llvmdb.py`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/Makefile.programs`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.aa.Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.dsgraph.report`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.micro.report`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.aa.report`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.example.Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.nightly.Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.buildrepo.Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.jit.Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.nightly.report`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.dsgraph.Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.jit.report`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.typesafe.Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.dsgraph.gnuplot`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.micro.Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/External/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/External/SPEC/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/External/SPEC/Makefile.spec`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Makefile.multisrc`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/analyzer/test.in`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/distray/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/distray/test.in`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/fourinarow/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/fourinarow/test.in`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/mason/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/mason/test.in`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/neural/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/neural/test.in`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/pcompress2/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/pcompress2/test.in`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/pifft/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/pifft/test.in`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/Makefile.singlesrc`
+${srcdir}/autoconf/mkinstalldirs `dirname tools/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname utils/Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname projects/Makefile`
 
+_ACEOF
 
 
 
   case "$ac_config_target" in
   # Handling of arguments.
   "Makefile.config" ) CONFIG_FILES="$CONFIG_FILES Makefile.config" ;;
+  "Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS Makefile" ;;
+  "Makefile.common" ) CONFIG_COMMANDS="$CONFIG_COMMANDS Makefile.common" ;;
+  "lib/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/Makefile" ;;
+  "runtime/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS runtime/Makefile" ;;
+  "test/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Makefile" ;;
+  "test/Makefile.tests" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Makefile.tests" ;;
+  "test/QMTest/llvm.py" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/QMTest/llvm.py" ;;
+  "test/QMTest/llvmdb.py" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/QMTest/llvmdb.py" ;;
+  "test/Programs/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/Makefile" ;;
+  "test/Programs/Makefile.programs" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/Makefile.programs" ;;
+  "test/Programs/TEST.aa.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.aa.Makefile" ;;
+  "test/Programs/TEST.dsgraph.report" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.dsgraph.report" ;;
+  "test/Programs/TEST.micro.report" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.micro.report" ;;
+  "test/Programs/TEST.aa.report" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.aa.report" ;;
+  "test/Programs/TEST.example.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.example.Makefile" ;;
+  "test/Programs/TEST.nightly.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.nightly.Makefile" ;;
+  "test/Programs/TEST.buildrepo.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.buildrepo.Makefile" ;;
+  "test/Programs/TEST.jit.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.jit.Makefile" ;;
+  "test/Programs/TEST.nightly.report" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.nightly.report" ;;
+  "test/Programs/TEST.dsgraph.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.dsgraph.Makefile" ;;
+  "test/Programs/TEST.jit.report" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.jit.report" ;;
+  "test/Programs/TEST.typesafe.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.typesafe.Makefile" ;;
+  "test/Programs/TEST.dsgraph.gnuplot" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.dsgraph.gnuplot" ;;
+  "test/Programs/TEST.micro.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.micro.Makefile" ;;
+  "test/Programs/External/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/External/Makefile" ;;
+  "test/Programs/External/SPEC/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/External/SPEC/Makefile" ;;
+  "test/Programs/External/SPEC/Makefile.spec" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/External/SPEC/Makefile.spec" ;;
+  "test/Programs/MultiSource/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Makefile" ;;
+  "test/Programs/MultiSource/Makefile.multisrc" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Makefile.multisrc" ;;
+  "test/Programs/MultiSource/Benchmarks/FreeBench/analyzer/test.in" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/analyzer/test.in" ;;
+  "test/Programs/MultiSource/Benchmarks/FreeBench/distray/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/distray/Makefile" ;;
+  "test/Programs/MultiSource/Benchmarks/FreeBench/distray/test.in" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/distray/test.in" ;;
+  "test/Programs/MultiSource/Benchmarks/FreeBench/fourinarow/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/fourinarow/Makefile" ;;
+  "test/Programs/MultiSource/Benchmarks/FreeBench/fourinarow/test.in" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/fourinarow/test.in" ;;
+  "test/Programs/MultiSource/Benchmarks/FreeBench/mason/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/mason/Makefile" ;;
+  "test/Programs/MultiSource/Benchmarks/FreeBench/mason/test.in" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/mason/test.in" ;;
+  "test/Programs/MultiSource/Benchmarks/FreeBench/neural/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/neural/Makefile" ;;
+  "test/Programs/MultiSource/Benchmarks/FreeBench/neural/test.in" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/neural/test.in" ;;
+  "test/Programs/MultiSource/Benchmarks/FreeBench/pcompress2/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/pcompress2/Makefile" ;;
+  "test/Programs/MultiSource/Benchmarks/FreeBench/pcompress2/test.in" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/pcompress2/test.in" ;;
+  "test/Programs/MultiSource/Benchmarks/FreeBench/pifft/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/pifft/Makefile" ;;
+  "test/Programs/MultiSource/Benchmarks/FreeBench/pifft/test.in" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/pifft/test.in" ;;
+  "test/Programs/SingleSource/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/Makefile" ;;
+  "test/Programs/SingleSource/Makefile.singlesrc" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/Makefile.singlesrc" ;;
+  "tools/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/Makefile" ;;
+  "utils/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS utils/Makefile" ;;
+  "projects/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS projects/Makefile" ;;
   "include/Config/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/Config/config.h" ;;
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
@@ -22612,6 +23561,7 @@ done
 if $ac_need_defaults; then
   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
+  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
 fi
 
 # Have a temporary directory for convenience.  Make it in the build tree
@@ -22683,6 +23633,7 @@ s,@ECHO_C@,$ECHO_C,;t t
 s,@ECHO_N@,$ECHO_N,;t t
 s,@ECHO_T@,$ECHO_T,;t t
 s,@LIBS@,$LIBS,;t t
+s,@subdirs@,$subdirs,;t t
 s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
 s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
 s,@INSTALL_DATA@,$INSTALL_DATA,;t t
@@ -22731,6 +23682,7 @@ s,@F77@,$F77,;t t
 s,@FFLAGS@,$FFLAGS,;t t
 s,@ac_ct_F77@,$ac_ct_F77,;t t
 s,@LIBTOOL@,$LIBTOOL,;t t
+s,@RPWD@,$RPWD,;t t
 s,@SED@,$SED,;t t
 s,@RM@,$RM,;t t
 s,@MKDIR@,$MKDIR,;t t
@@ -22738,20 +23690,21 @@ s,@DATE@,$DATE,;t t
 s,@MV@,$MV,;t t
 s,@DOT@,$DOT,;t t
 s,@ETAGS@,$ETAGS,;t t
-s,@PURIFY@,$PURIFY,;t t
+s,@PYTHON@,$PYTHON,;t t
+s,@QMTEST@,$QMTEST,;t t
 s,@ALLOCA@,$ALLOCA,;t t
 s,@LIBOBJS@,$LIBOBJS,;t t
 s,@MMAP_FILE@,$MMAP_FILE,;t t
 s,@ENABLE_PURIFY@,$ENABLE_PURIFY,;t t
 s,@ENABLE_OPTIMIZED@,$ENABLE_OPTIMIZED,;t t
+s,@SPEC_ROOT@,$SPEC_ROOT,;t t
 s,@USE_SPEC@,$USE_SPEC,;t t
 s,@UPB@,$UPB,;t t
 s,@DISABLE_LLC_DIFFS@,$DISABLE_LLC_DIFFS,;t t
 s,@JIT@,$JIT,;t t
-s,@SPEC_ROOT@,$SPEC_ROOT,;t t
 s,@BCR@,$BCR,;t t
 s,@PAPIDIR@,$PAPIDIR,;t t
-s,@OBJROOT@,$OBJROOT,;t t
+s,@PURIFY@,$PURIFY,;t t
 s,@LTLIBOBJS@,$LTLIBOBJS,;t t
 CEOF
 
@@ -23180,6 +24133,112 @@ echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
   fi
 done
 _ACEOF
+cat >>$CONFIG_STATUS <<\_ACEOF
+
+#
+# CONFIG_COMMANDS section.
+#
+for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
+  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
+  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
+  ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
+$as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+         X"$ac_dest" : 'X\(//\)[^/]' \| \
+         X"$ac_dest" : 'X\(//\)$' \| \
+         X"$ac_dest" : 'X\(/\)' \| \
+         .     : '\(.\)' 2>/dev/null ||
+echo X"$ac_dest" |
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
+         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
+         /^X\(\/\/\)$/{ s//\1/; q; }
+         /^X\(\/\).*/{ s//\1/; q; }
+         s/.*/./; q'`
+  ac_builddir=.
+
+if test "$ac_dir" != .; then
+  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
+  # A "../" for each directory in $ac_dir_suffix.
+  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
+else
+  ac_dir_suffix= ac_top_builddir=
+fi
+
+case $srcdir in
+  .)  # No --srcdir option.  We are building in place.
+    ac_srcdir=.
+    if test -z "$ac_top_builddir"; then
+       ac_top_srcdir=.
+    else
+       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
+    fi ;;
+  [\\/]* | ?:[\\/]* )  # Absolute path.
+    ac_srcdir=$srcdir$ac_dir_suffix;
+    ac_top_srcdir=$srcdir ;;
+  *) # Relative path.
+    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
+    ac_top_srcdir=$ac_top_builddir$srcdir ;;
+esac
+# Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
+# absolute.
+ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
+ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
+ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
+ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
+
+
+  { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
+echo "$as_me: executing $ac_dest commands" >&6;}
+  case $ac_dest in
+    Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/Makefile Makefile ;;
+    Makefile.common ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/Makefile.common Makefile.common ;;
+    lib/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/lib/Makefile lib/Makefile ;;
+    runtime/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/runtime/Makefile runtime/Makefile ;;
+    test/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Makefile test/Makefile ;;
+    test/Makefile.tests ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Makefile.tests test/Makefile.tests ;;
+    test/QMTest/llvm.py ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/QMTest/llvm.py test/QMTest/llvm.py ;;
+    test/QMTest/llvmdb.py ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/QMTest/llvmdb.py test/QMTest/llvmdb.py ;;
+    test/Programs/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/Makefile test/Programs/Makefile ;;
+    test/Programs/Makefile.programs ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/Makefile.programs test/Programs/Makefile.programs ;;
+    test/Programs/TEST.aa.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.aa.Makefile test/Programs/TEST.aa.Makefile ;;
+    test/Programs/TEST.dsgraph.report ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.dsgraph.report test/Programs/TEST.dsgraph.report ;;
+    test/Programs/TEST.micro.report ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.micro.report test/Programs/TEST.micro.report ;;
+    test/Programs/TEST.aa.report ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.aa.report test/Programs/TEST.aa.report ;;
+    test/Programs/TEST.example.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.example.Makefile test/Programs/TEST.example.Makefile ;;
+    test/Programs/TEST.nightly.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.nightly.Makefile test/Programs/TEST.nightly.Makefile ;;
+    test/Programs/TEST.buildrepo.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.buildrepo.Makefile test/Programs/TEST.buildrepo.Makefile ;;
+    test/Programs/TEST.jit.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.jit.Makefile test/Programs/TEST.jit.Makefile ;;
+    test/Programs/TEST.nightly.report ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.nightly.report test/Programs/TEST.nightly.report ;;
+    test/Programs/TEST.dsgraph.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.dsgraph.Makefile test/Programs/TEST.dsgraph.Makefile ;;
+    test/Programs/TEST.jit.report ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.jit.report test/Programs/TEST.jit.report ;;
+    test/Programs/TEST.typesafe.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.typesafe.Makefile test/Programs/TEST.typesafe.Makefile ;;
+    test/Programs/TEST.dsgraph.gnuplot ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.dsgraph.gnuplot test/Programs/TEST.dsgraph.gnuplot ;;
+    test/Programs/TEST.micro.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.micro.Makefile test/Programs/TEST.micro.Makefile ;;
+    test/Programs/External/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/External/Makefile test/Programs/External/Makefile ;;
+    test/Programs/External/SPEC/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/External/SPEC/Makefile test/Programs/External/SPEC/Makefile ;;
+    test/Programs/External/SPEC/Makefile.spec ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/External/SPEC/Makefile.spec test/Programs/External/SPEC/Makefile.spec ;;
+    test/Programs/MultiSource/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Makefile test/Programs/MultiSource/Makefile ;;
+    test/Programs/MultiSource/Makefile.multisrc ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Makefile.multisrc test/Programs/MultiSource/Makefile.multisrc ;;
+    test/Programs/MultiSource/Benchmarks/FreeBench/analyzer/test.in ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/analyzer/test.in test/Programs/MultiSource/Benchmarks/FreeBench/analyzer/test.in ;;
+    test/Programs/MultiSource/Benchmarks/FreeBench/distray/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/distray/Makefile test/Programs/MultiSource/Benchmarks/FreeBench/distray/Makefile ;;
+    test/Programs/MultiSource/Benchmarks/FreeBench/distray/test.in ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/distray/test.in test/Programs/MultiSource/Benchmarks/FreeBench/distray/test.in ;;
+    test/Programs/MultiSource/Benchmarks/FreeBench/fourinarow/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/fourinarow/Makefile test/Programs/MultiSource/Benchmarks/FreeBench/fourinarow/Makefile ;;
+    test/Programs/MultiSource/Benchmarks/FreeBench/fourinarow/test.in ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/fourinarow/test.in test/Programs/MultiSource/Benchmarks/FreeBench/fourinarow/test.in ;;
+    test/Programs/MultiSource/Benchmarks/FreeBench/mason/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/mason/Makefile test/Programs/MultiSource/Benchmarks/FreeBench/mason/Makefile ;;
+    test/Programs/MultiSource/Benchmarks/FreeBench/mason/test.in ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/mason/test.in test/Programs/MultiSource/Benchmarks/FreeBench/mason/test.in ;;
+    test/Programs/MultiSource/Benchmarks/FreeBench/neural/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/neural/Makefile test/Programs/MultiSource/Benchmarks/FreeBench/neural/Makefile ;;
+    test/Programs/MultiSource/Benchmarks/FreeBench/neural/test.in ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/neural/test.in test/Programs/MultiSource/Benchmarks/FreeBench/neural/test.in ;;
+    test/Programs/MultiSource/Benchmarks/FreeBench/pcompress2/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/pcompress2/Makefile test/Programs/MultiSource/Benchmarks/FreeBench/pcompress2/Makefile ;;
+    test/Programs/MultiSource/Benchmarks/FreeBench/pcompress2/test.in ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/pcompress2/test.in test/Programs/MultiSource/Benchmarks/FreeBench/pcompress2/test.in ;;
+    test/Programs/MultiSource/Benchmarks/FreeBench/pifft/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/pifft/Makefile test/Programs/MultiSource/Benchmarks/FreeBench/pifft/Makefile ;;
+    test/Programs/MultiSource/Benchmarks/FreeBench/pifft/test.in ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/pifft/test.in test/Programs/MultiSource/Benchmarks/FreeBench/pifft/test.in ;;
+    test/Programs/SingleSource/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/Makefile test/Programs/SingleSource/Makefile ;;
+    test/Programs/SingleSource/Makefile.singlesrc ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/Makefile.singlesrc test/Programs/SingleSource/Makefile.singlesrc ;;
+    tools/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/Makefile tools/Makefile ;;
+    utils/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/utils/Makefile utils/Makefile ;;
+    projects/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/projects/Makefile projects/Makefile ;;
+  esac
+done
+_ACEOF
 
 cat >>$CONFIG_STATUS <<\_ACEOF
 
@@ -23210,3 +24269,163 @@ if test "$no_create" != yes; then
   $ac_cs_success || { (exit 1); exit 1; }
 fi
 
+#
+# CONFIG_SUBDIRS section.
+#
+if test "$no_recursion" != yes; then
+
+  # Remove --cache-file and --srcdir arguments so they do not pile up.
+  ac_sub_configure_args=
+  ac_prev=
+  for ac_arg in $ac_configure_args; do
+    if test -n "$ac_prev"; then
+      ac_prev=
+      continue
+    fi
+    case $ac_arg in
+    -cache-file | --cache-file | --cache-fil | --cache-fi \
+    | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
+      ac_prev=cache_file ;;
+    -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
+    | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* \
+    | --c=*)
+      ;;
+    --config-cache | -C)
+      ;;
+    -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
+      ac_prev=srcdir ;;
+    -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
+      ;;
+    -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
+      ac_prev=prefix ;;
+    -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
+      ;;
+    *) ac_sub_configure_args="$ac_sub_configure_args $ac_arg" ;;
+    esac
+  done
+
+  # Always prepend --prefix to ensure using the same prefix
+  # in subdir configurations.
+  ac_sub_configure_args="--prefix=$prefix $ac_sub_configure_args"
+
+  ac_popdir=`pwd`
+  for ac_dir in : $subdirs; do test "x$ac_dir" = x: && continue
+
+    # Do not complain, so a configure script can configure whichever
+    # parts of a large source tree are present.
+    test -d $srcdir/$ac_dir || continue
+
+    { echo "$as_me:$LINENO: configuring in $ac_dir" >&5
+echo "$as_me: configuring in $ac_dir" >&6;}
+    { if $as_mkdir_p; then
+    mkdir -p "$ac_dir"
+  else
+    as_dir="$ac_dir"
+    as_dirs=
+    while test ! -d "$as_dir"; do
+      as_dirs="$as_dir $as_dirs"
+      as_dir=`(dirname "$as_dir") 2>/dev/null ||
+$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+         X"$as_dir" : 'X\(//\)[^/]' \| \
+         X"$as_dir" : 'X\(//\)$' \| \
+         X"$as_dir" : 'X\(/\)' \| \
+         .     : '\(.\)' 2>/dev/null ||
+echo X"$as_dir" |
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
+         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
+         /^X\(\/\/\)$/{ s//\1/; q; }
+         /^X\(\/\).*/{ s//\1/; q; }
+         s/.*/./; q'`
+    done
+    test ! -n "$as_dirs" || mkdir $as_dirs
+  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
+echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
+   { (exit 1); exit 1; }; }; }
+
+    ac_builddir=.
+
+if test "$ac_dir" != .; then
+  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
+  # A "../" for each directory in $ac_dir_suffix.
+  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
+else
+  ac_dir_suffix= ac_top_builddir=
+fi
+
+case $srcdir in
+  .)  # No --srcdir option.  We are building in place.
+    ac_srcdir=.
+    if test -z "$ac_top_builddir"; then
+       ac_top_srcdir=.
+    else
+       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
+    fi ;;
+  [\\/]* | ?:[\\/]* )  # Absolute path.
+    ac_srcdir=$srcdir$ac_dir_suffix;
+    ac_top_srcdir=$srcdir ;;
+  *) # Relative path.
+    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
+    ac_top_srcdir=$ac_top_builddir$srcdir ;;
+esac
+# Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
+# absolute.
+ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
+ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
+ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
+ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
+
+
+    cd $ac_dir
+
+    # Check for guested configure; otherwise get Cygnus style configure.
+    if test -f $ac_srcdir/configure.gnu; then
+      ac_sub_configure="$SHELL '$ac_srcdir/configure.gnu'"
+    elif test -f $ac_srcdir/configure; then
+      ac_sub_configure="$SHELL '$ac_srcdir/configure'"
+    elif test -f $ac_srcdir/configure.in; then
+      ac_sub_configure=$ac_configure
+    else
+      { echo "$as_me:$LINENO: WARNING: no configuration information is in $ac_dir" >&5
+echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2;}
+      ac_sub_configure=
+    fi
+
+    # The recursion is here.
+    if test -n "$ac_sub_configure"; then
+      # Make the cache file name correct relative to the subdirectory.
+      case $cache_file in
+      [\\/]* | ?:[\\/]* ) ac_sub_cache_file=$cache_file ;;
+      *) # Relative path.
+        ac_sub_cache_file=$ac_top_builddir$cache_file ;;
+      esac
+
+      { echo "$as_me:$LINENO: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&5
+echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&6;}
+      # The eval makes quoting arguments work.
+      eval $ac_sub_configure $ac_sub_configure_args \
+           --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir ||
+        { { echo "$as_me:$LINENO: error: $ac_sub_configure failed for $ac_dir" >&5
+echo "$as_me: error: $ac_sub_configure failed for $ac_dir" >&2;}
+   { (exit 1); exit 1; }; }
+    fi
+
+    cd $ac_popdir
+  done
+fi
+
+
+if test $llvmgccwarn = yes
+then
+       { echo "$as_me:$LINENO: WARNING: ***** llvm C/C++ front end was not found, or does not" >&5
+echo "$as_me: WARNING: ***** llvm C/C++ front end was not found, or does not" >&2;}
+       { echo "$as_me:$LINENO: WARNING: ***** appear to be working." >&5
+echo "$as_me: WARNING: ***** appear to be working." >&2;}
+       { echo "$as_me:$LINENO: WARNING: ***** " >&5
+echo "$as_me: WARNING: ***** " >&2;}
+       { echo "$as_me:$LINENO: WARNING: ***** Please check configure's --with-llvmgccdir option." >&5
+echo "$as_me: WARNING: ***** Please check configure's --with-llvmgccdir option." >&2;}
+       { echo "$as_me:$LINENO: WARNING: ***** Runtime libraries (in llvm/runtime) will not be built," >&5
+echo "$as_me: WARNING: ***** Runtime libraries (in llvm/runtime) will not be built," >&2;}
+       { echo "$as_me:$LINENO: WARNING: ***** but you should be able to build the llvm tools." >&5
+echo "$as_me: WARNING: ***** but you should be able to build the llvm tools." >&2;}
+fi